Debian Bug report logs - #592618
tcc: FTBFS on armel architecture

version graph

Package: tcc; Maintainer for tcc is Thomas Preud'homme <robotux@debian.org>; Source for tcc is src:tcc.

Reported by: Hector Oron <zumbi@debian.org>

Date: Wed, 11 Aug 2010 13:51:01 UTC

Severity: important

Tags: upstream

Found in version tcc/0.9.25-4

Fixed in version tcc/0.9.26~git20110616.330d2ee-1

Done: Thomas Preud'homme <robotux@celest.fr>

Bug is archived. No further changes may be made.

Forwarded to http://lists.nongnu.org/archive/html/tinycc-devel/2010-08/msg00039.html

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#592618; Package tcc. (Wed, 11 Aug 2010 13:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Wed, 11 Aug 2010 13:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tcc: FTBFS on armel architecture
Date: Wed, 11 Aug 2010 14:53:54 +0100
Package: tcc
Version: 0.9.25-4
Severity: important


Hello,

 tcc fails to build from source on unstable, please find full log information at:
 https://buildd.debian.org/fetch.cgi?&pkg=tcc&ver=0.9.25-4&arch=armel&stamp=1281465608&file=log

Best regards,
  -- Hector Oron

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (600, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#592618; Package tcc. (Wed, 11 Aug 2010 14:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Wed, 11 Aug 2010 14:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 592618@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: robotux@celest.fr
Cc: 592618@bugs.debian.org
Subject: Re: Bug#592618: tcc: FTBFS on armel architecture
Date: Wed, 11 Aug 2010 15:19:50 +0100
Hello,

2010/8/11 Thomas Preud'homme <robotux@celest.fr>:
> What is surprising is that it causes no problem on i386. I'll investigate this
> WE but it would really help if someone has an armel box.

I have an armel box I can test and if you are Debian Developer you
have access to armel porterbox (`abel' or `agricola')

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#592618; Package tcc. (Wed, 11 Aug 2010 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to robotux@celest.fr:
Extra info received and forwarded to list. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Wed, 11 Aug 2010 14:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 592618@bugs.debian.org (full text, mbox):

From: "Thomas Preud'homme" <robotux@celest.fr>
To: Hector Oron <zumbi@debian.org>, 592618@bugs.debian.org
Subject: Re: Bug#592618: tcc: FTBFS on armel architecture
Date: Wed, 11 Aug 2010 16:09:06 +0200
[Message part 1 (text/plain, inline)]
Le mercredi 11 août 2010 15:53:54, vous avez écrit :
> Package: tcc
> Version: 0.9.25-4
> Severity: important
> 
> 
> Hello,
> 
>  tcc fails to build from source on unstable, please find full log
> information at:
> https://buildd.debian.org/fetch.cgi?&pkg=tcc&ver=0.9.25-4&arch=armel&stamp
> =1281465608&file=log
For information, the line 50 should unfold to:
extern double acos(double __x);
extern double __acos(double __x);

What is surprising is that it causes no problem on i386. I'll investigate this 
WE but it would really help if someone has an armel box.
> 
> Best regards,
>   -- Hector Oron
Thanks for reporting so quickly.

Thomas Preud'homme
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#592618; Package tcc. (Wed, 11 Aug 2010 16:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to robotux@celest.fr:
Extra info received and forwarded to list. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Wed, 11 Aug 2010 16:33:08 GMT) Full text and rfc822 format available.

Message #20 received at 592618@bugs.debian.org (full text, mbox):

From: "Thomas Preud'homme" <robotux@celest.fr>
To: tinycc-devel@nongnu.org, 592618@bugs.debian.org
Subject: Re: [Tinycc-devel] tinycc fails to parse mathcalls.h on armel
Date: Wed, 11 Aug 2010 18:32:29 +0200
[Message part 1 (text/plain, inline)]
Le mercredi 11 août 2010 16:52:25, Thomas Preud'homme a écrit :
> Hi all,
> 
[SNIP]

Ok, I might have found. mathcalls.h is provided on Debian by libc6-dev. I made 
a diff between the version used in the last build and the current version and 
found there has been some changes around the last inclusion of 
bits/mathcalls.h (the one which declares each function with long double 
operand). I looked at the code in parse_btype function in tccgen.c

Here is the relevant code:

    t = 0;
    while(1) {
        switch(tok) {

 (some "case")

        case TOK_LONG:
            next();
            if ((t & VT_BTYPE) == VT_DOUBLE) {
                t = (t & ~VT_BTYPE) | VT_LDOUBLE;
            } else if ((t & VT_BTYPE) == VT_LONG) {
                t = (t & ~VT_BTYPE) | VT_LLONG;
            } else {
                u = VT_LONG;
                goto basic_type1;
            }
            break;

The test in TOK_LONG seems useless as t can't be different from 0 although I 
missed some hidden define which touch the variable 't'

Thus, program branch to basic_type1:

        basic_type1:
            if ((t & VT_BTYPE) != 0)
                error("too many basic types");
            t |= u;
            typespec_found = 1;
            break;

t is zero so the test is ok, the type t become u (VT_LONG) and the type is 
supposed to be found. All this happen when parsing the acos function (first 
function in mathcalls.h). This function first call parse_btype, then a few 
lines later it calls type_decl which parses "double" in that case. In 
type_decl, the token is tested and as it is not an identifier, it calls 
expect("identifiers"). The relevant code in type_decl is:

        /* type identifier */
        if (tok >= TOK_IDENT && (td & TYPE_DIRECT)) {
            *v = tok;
            next();
        } else {
            if (!(td & TYPE_ABSTRACT))
                expect("identifier");
            *v = 0;
        }

So to conclude, it seems a bug exist in the way parse_btype look for long long 
and long double. If not, please correct me quickly as I'll fix this this WE or 
earlier.

Best regards,

Thomas
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#592618; Package tcc. (Tue, 24 Aug 2010 01:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to robotux@celest.fr:
Extra info received and filed, but not forwarded. (Tue, 24 Aug 2010 01:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 592618-quiet@bugs.debian.org (full text, mbox):

From: "Thomas Preud'homme" <robotux@celest.fr>
To: 592618-quiet@bugs.debian.org
Subject: Reproducible with qemu
Date: Tue, 24 Aug 2010 03:25:11 +0200
[Message part 1 (text/plain, inline)]
Bug is reproducible in qemu. It should then be quick to fix it now.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#592618; Package tcc. (Wed, 25 Aug 2010 20:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to robotux@celest.fr:
Extra info received and forwarded to list. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Wed, 25 Aug 2010 20:30:05 GMT) Full text and rfc822 format available.

Message #30 received at 592618@bugs.debian.org (full text, mbox):

From: "Thomas Preud'homme" <robotux@celest.fr>
To: 592618@bugs.debian.org, control@bugs.debian.org
Subject: Bug identified and
Date: Wed, 25 Aug 2010 22:27:15 +0200
[Message part 1 (text/plain, inline)]
tags 592618 + upstream
forwarded 592618 http://lists.nongnu.org/archive/html/tinycc-devel/2010-08/msg00039.html
thanks

Bug comes from armel architecture not handling long double types. Tcc has to 
provide a way to alias functions to handle this.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream. Request was from "Thomas Preud'homme" <robotux@celest.fr> to control@bugs.debian.org. (Wed, 25 Aug 2010 20:30:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://lists.nongnu.org/archive/html/tinycc-devel/2010-08/msg00039.html'. Request was from "Thomas Preud'homme" <robotux@celest.fr> to control@bugs.debian.org. (Wed, 25 Aug 2010 20:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#592618; Package tcc. (Thu, 07 Oct 2010 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to robotux@celest.fr:
Extra info received and forwarded to list. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Thu, 07 Oct 2010 09:09:03 GMT) Full text and rfc822 format available.

Message #39 received at 592618@bugs.debian.org (full text, mbox):

From: "Thomas Preud'homme" <robotux@celest.fr>
To: 592618@bugs.debian.org, control@bugs.debian.org
Subject: patch available
Date: Thu, 7 Oct 2010 11:04:08 +0200
[Message part 1 (text/plain, inline)]
tags 592618 + patch
thanks

I have a fix for this build failure but I still get some build failure due to 
another bug (maybe the one encountered previously by the buildd when building 
tcc 0.9.25-3, see 
https://buildd.debian.org/fetch.cgi?pkg=tcc&arch=armel&ver=0.9.25-3&stamp=1273440303&file=log)

Therefore, I prefered to remove armel from the build architecture so that the 
package build on all supported arch and has a chance to get a freeze 
exception.

Patches included in this message must be included in the following order: 
first asm_fct_label.diff, then redirect_nth.diff
[redirect_nth.diff (text/x-patch, attachment)]
[asm_fct_label.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from "Thomas Preud'homme" <robotux@celest.fr> to control@bugs.debian.org. (Thu, 07 Oct 2010 09:09:06 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from "Thomas Preud'homme" <robotux@celest.fr> to control@bugs.debian.org. (Sun, 24 Apr 2011 17:15:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aurélien GÉRÔME <ag@debian.org>:
Bug#592618; Package tcc. (Sun, 24 Apr 2011 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thomas Preud'homme" <robotux@celest.fr>:
Extra info received and forwarded to list. Copy sent to Aurélien GÉRÔME <ag@debian.org>. (Sun, 24 Apr 2011 17:24:03 GMT) Full text and rfc822 format available.

Message #48 received at 592618@bugs.debian.org (full text, mbox):

From: "Thomas Preud'homme" <robotux@celest.fr>
To: control@bugs.debian.org
Cc: 592618@bugs.debian.org
Subject: tagging 592618
Date: Sun, 24 Apr 2011 19:11:06 +0200
tags 592618 - patch
thanks

Initial FTBFS fixed in sid but tcc still FTBFS on [0]. Hence, I remove
the tag "patch" and keep the bug open.

[0] https://buildd.debian.org/status/fetch.php?pkg=tcc&arch=armel&ver=0.9.25-6&stamp=1303102383





Reply sent to Thomas Preud'homme <robotux@celest.fr>:
You have taken responsibility. (Mon, 04 Jul 2011 13:54:09 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Mon, 04 Jul 2011 13:54:11 GMT) Full text and rfc822 format available.

Message #53 received at 592618-close@bugs.debian.org (full text, mbox):

From: Thomas Preud'homme <robotux@celest.fr>
To: 592618-close@bugs.debian.org
Subject: Bug#592618: fixed in tcc 0.9.26+git20110616.330d2ee-1
Date: Mon, 04 Jul 2011 13:51:16 +0000
Source: tcc
Source-Version: 0.9.26+git20110616.330d2ee-1

We believe that the bug you reported is fixed in the latest version of
tcc, which is due to be installed in the Debian FTP archive:

libtcc-dev_0.9.26+git20110616.330d2ee-1_amd64.deb
  to main/t/tcc/libtcc-dev_0.9.26+git20110616.330d2ee-1_amd64.deb
tcc_0.9.26+git20110616.330d2ee-1.debian.tar.gz
  to main/t/tcc/tcc_0.9.26+git20110616.330d2ee-1.debian.tar.gz
tcc_0.9.26+git20110616.330d2ee-1.dsc
  to main/t/tcc/tcc_0.9.26+git20110616.330d2ee-1.dsc
tcc_0.9.26+git20110616.330d2ee-1_amd64.deb
  to main/t/tcc/tcc_0.9.26+git20110616.330d2ee-1_amd64.deb
tcc_0.9.26+git20110616.330d2ee.orig.tar.gz
  to main/t/tcc/tcc_0.9.26+git20110616.330d2ee.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592618@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Preud'homme <robotux@celest.fr> (supplier of updated tcc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Jun 2011 14:25:07 +0200
Source: tcc
Binary: tcc libtcc-dev
Architecture: source amd64
Version: 0.9.26+git20110616.330d2ee-1
Distribution: experimental
Urgency: low
Maintainer: Aurélien GÉRÔME <ag@debian.org>
Changed-By: Thomas Preud'homme <robotux@celest.fr>
Description: 
 libtcc-dev - Fast library for dynamic code generation
 tcc        - Small ANSI C compiler
Closes: 592618
Changes: 
 tcc (0.9.26+git20110616.330d2ee-1) experimental; urgency=low
 .
   * New upstream snapshot:
     + Fix design of previous VLA implementation
     + Allow jumps > 32MB for -run on ARM. (Closes: #592618)
 .
   * Drop all patches in debian/patches except:
     + 0001-Adapt-tcc-to-debian-build-system.patch
     + 0002-Respect-FHS-in-documentation-and-examples.patch
     + 0003-Fix-problem-with-PLT-and-GOT-relocs-on-armel.patch
 .
   * debian/copyright:
     + document origin of source code.
 .
   * debian/rules:
     + Use dpkg-buildflags to set build flags (CPPFLAGS, CFLAGS and LDFLAGS).
     + Only call dh_auto_clean if config.mak exists.
     + Use dpkg-architecture to set DEB_HOST_MULTIARCH.
     + Keep tcc directory in /usr/lib/tcc.
 .
   * Point Vcs-* to anonscm.debian.org.
Checksums-Sha1: 
 a61db21b4011e4ca83b9f0aea5fb7e98a7a0afc5 2085 tcc_0.9.26+git20110616.330d2ee-1.dsc
 2e05c68e628b73808de88877be4ba0d49c0d77b5 569548 tcc_0.9.26+git20110616.330d2ee.orig.tar.gz
 88e79dbe379bbf220fd3408538e7a3e4da0c2ba9 12476 tcc_0.9.26+git20110616.330d2ee-1.debian.tar.gz
 5504421d76de38d3179e3b60560b7c28d88d4a16 153048 tcc_0.9.26+git20110616.330d2ee-1_amd64.deb
 9cbec09af9bff4eb24694d1a08479701a06d66fc 117758 libtcc-dev_0.9.26+git20110616.330d2ee-1_amd64.deb
Checksums-Sha256: 
 2aa65f5497abb9c23986ee758eece0c89bcbc508f85da027ac6c1be3e462bf25 2085 tcc_0.9.26+git20110616.330d2ee-1.dsc
 0641bd49c9e4ac968c276f7ad8ec6e0c70ce9b45dd5ec6447aa37fcb27f483c9 569548 tcc_0.9.26+git20110616.330d2ee.orig.tar.gz
 9d1ff29aeb638e68d1101fb227f44aa1c9f792898c50816d20af68cbb996a920 12476 tcc_0.9.26+git20110616.330d2ee-1.debian.tar.gz
 f9aca356bb30a0cfd2ad30015050f11eb65ac9d99e79c82a55a84984a175bebb 153048 tcc_0.9.26+git20110616.330d2ee-1_amd64.deb
 943b1ca9777ba234baa59cbe60ec8f4fe62944063bc5695f3e8025e1a63aa7da 117758 libtcc-dev_0.9.26+git20110616.330d2ee-1_amd64.deb
Files: 
 19afae83fdaf367c49a9a4654bc1f558 2085 devel optional tcc_0.9.26+git20110616.330d2ee-1.dsc
 284da8fc12b3989a988059f0828c133d 569548 devel optional tcc_0.9.26+git20110616.330d2ee.orig.tar.gz
 86ebb74b1dc559135c8a620c1fcb47fe 12476 devel optional tcc_0.9.26+git20110616.330d2ee-1.debian.tar.gz
 60e15ee90cd50cec40a4a222a110e49e 153048 devel optional tcc_0.9.26+git20110616.330d2ee-1_amd64.deb
 2d16adc256f0715a9c5b5331b5620fe9 117758 libdevel optional libtcc-dev_0.9.26+git20110616.330d2ee-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJOEcACAAoJENADhS+9UlKeYwYP/1CWgJ64WU93YwOv5w6nCvaX
LUxhaUMJeHRJx4UrJcqQflFsBUP/0jrwVMbcuZgCdBoBWQpUgSSxjso2FAtp9EZK
olg27Cxk1N+Iak/AIeSAp015NuP0aMd3RGb3f/9l2MixKZI/D/ezNLkjlLejqw/j
BmReuv2oG1Bvx3L8Cxr3zS9Z2zFeuBbR9CWEgHQ251uvPonqe1EllA3Eqp3R3nW0
ZEiXVg9P9F41J5e+PfkRToIbNObphfYgxLTD3hno+9ZQ6+1cvPdJQ47CbFhG6+wt
s/S0Rkps7zzWJW8dhc6YyEZgic1z/MJRKaief+wNS/ZSsnt0Kxccu6kKY+tUaPLx
GD27BBE/VqIvCnlfVg6gcDm85V9V1XUt8uBULZjuNap5WTiklevyRCmOzwxdVqVZ
l2FBLHMvTZphKl8M2Y448hMda36YrLls27OsZFp8cdXepOZhp8bN2nSm9JPY//eR
cFvPGon/jAiw29iFfjQtyKCwIH2obJuZsBIFgvFB0FdhOcrwaKuVwyeWQ5AqZlvR
Q0YEwzxTIkAes5DYHUaf2olYoUi5Z87boy5r4Q+ezgHp4VoRma2CVn1ijerXzSKK
mRJLISYHYyaezPXREJtt7lXaIMbrnG5T9egtD++Nd93X4y7TBGTNzJLphlhec/U7
+Z+lSYOcKjuGVQbTu0y9
=zUFU
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions tcc/0.9.26+git20110616.330d2ee-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jul 2011 14:06:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from "Thomas Preud'homme" <robotux@celest.fr> to control@bugs.debian.org. (Tue, 05 Jul 2011 14:15:04 GMT) Full text and rfc822 format available.

Reply sent to Thomas Preud'homme <robotux@celest.fr>:
You have taken responsibility. (Tue, 12 Jul 2011 15:36:07 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Tue, 12 Jul 2011 15:36:07 GMT) Full text and rfc822 format available.

Message #62 received at 592618-close@bugs.debian.org (full text, mbox):

From: Thomas Preud'homme <robotux@celest.fr>
To: 592618-close@bugs.debian.org
Subject: Bug#592618: fixed in tcc 0.9.26~git20110616.330d2ee-1
Date: Tue, 12 Jul 2011 15:33:14 +0000
Source: tcc
Source-Version: 0.9.26~git20110616.330d2ee-1

We believe that the bug you reported is fixed in the latest version of
tcc, which is due to be installed in the Debian FTP archive:

libtcc-dev_0.9.26~git20110616.330d2ee-1_amd64.deb
  to main/t/tcc/libtcc-dev_0.9.26~git20110616.330d2ee-1_amd64.deb
tcc_0.9.26~git20110616.330d2ee-1.debian.tar.gz
  to main/t/tcc/tcc_0.9.26~git20110616.330d2ee-1.debian.tar.gz
tcc_0.9.26~git20110616.330d2ee-1.dsc
  to main/t/tcc/tcc_0.9.26~git20110616.330d2ee-1.dsc
tcc_0.9.26~git20110616.330d2ee-1_amd64.deb
  to main/t/tcc/tcc_0.9.26~git20110616.330d2ee-1_amd64.deb
tcc_0.9.26~git20110616.330d2ee.orig.tar.gz
  to main/t/tcc/tcc_0.9.26~git20110616.330d2ee.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592618@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Preud'homme <robotux@celest.fr> (supplier of updated tcc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Jul 2011 16:59:57 +0200
Source: tcc
Binary: tcc libtcc-dev
Architecture: source amd64
Version: 0.9.26~git20110616.330d2ee-1
Distribution: experimental
Urgency: low
Maintainer: Aurélien GÉRÔME <ag@debian.org>
Changed-By: Thomas Preud'homme <robotux@celest.fr>
Description: 
 libtcc-dev - Fast library for dynamic code generation
 tcc        - Small ANSI C compiler
Closes: 592618
Changes: 
 tcc (0.9.26~git20110616.330d2ee-1) experimental; urgency=low
 .
   * New upstream snapshot:
     + Fix design of previous VLA implementation
     + Allow jumps > 32MB for -run on ARM. (Closes: #592618)
 .
   * debian/patches:
     + Remove all merged patches
     + Add 0001-Default-to-create-progs-with-symbols-incl.-debug.patch:
       create unstripped program with debug infos.
     + Add 0002-Make-ex1.c-and-ex4.c-be-executable-on-any-systems.patch
 .
   * debian/copyright:
     + document origin of source code.
 .
   * debian/rules:
     + Use dpkg-buildflags to set build flags (CPPFLAGS, CFLAGS and LDFLAGS).
     + Only call dh_auto_clean if config.mak exists.
     + Keep tcc directory in /usr/lib/tcc.
 .
   * Point Vcs-* to anonscm.debian.org.
Checksums-Sha1: 
 92e9f3f1ce3e9fbeaa70e433fb8f7a1b6ea45469 2085 tcc_0.9.26~git20110616.330d2ee-1.dsc
 2e05c68e628b73808de88877be4ba0d49c0d77b5 569548 tcc_0.9.26~git20110616.330d2ee.orig.tar.gz
 d8d3b3c515bc6ca60acedb458687a919f2356fd7 16980 tcc_0.9.26~git20110616.330d2ee-1.debian.tar.gz
 1af0e099b25d232d84efb2d296a825be28cd072e 153778 tcc_0.9.26~git20110616.330d2ee-1_amd64.deb
 36e8fb5276ea36db16b4c8668c910b53d819f898 118362 libtcc-dev_0.9.26~git20110616.330d2ee-1_amd64.deb
Checksums-Sha256: 
 087bfd511c9f6d1137493c5b7362f14b35aaa9387ae7210c8e7dfd403f1008df 2085 tcc_0.9.26~git20110616.330d2ee-1.dsc
 0641bd49c9e4ac968c276f7ad8ec6e0c70ce9b45dd5ec6447aa37fcb27f483c9 569548 tcc_0.9.26~git20110616.330d2ee.orig.tar.gz
 ff2d76ef01599618aafb116eb86dd2efe71043756a0c015095d1dfd89acadb34 16980 tcc_0.9.26~git20110616.330d2ee-1.debian.tar.gz
 9cedff0c9a20b2739d97fd149b5944e995ef3f2fcd325ba9327098198831e17f 153778 tcc_0.9.26~git20110616.330d2ee-1_amd64.deb
 dbd16aeb79bfc694e86fe7a187132d411c9e9de1246eb7548375fbf56ac4a906 118362 libtcc-dev_0.9.26~git20110616.330d2ee-1_amd64.deb
Files: 
 0e108ca6f4bc472c778f1d7e2b18c505 2085 devel optional tcc_0.9.26~git20110616.330d2ee-1.dsc
 284da8fc12b3989a988059f0828c133d 569548 devel optional tcc_0.9.26~git20110616.330d2ee.orig.tar.gz
 3e895ac892be3a8677539254dcd2fc28 16980 devel optional tcc_0.9.26~git20110616.330d2ee-1.debian.tar.gz
 4d398497341ab8130542fb65aea30abf 153778 devel optional tcc_0.9.26~git20110616.330d2ee-1_amd64.deb
 3759866089bb92a58e64da87d22efa9d 118362 libdevel optional libtcc-dev_0.9.26~git20110616.330d2ee-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJOHGHvAAoJENADhS+9UlKeYOkP/2Y1Hf38+KNZ8Q5D8LdbeH+x
iZf4hMuEESmEBiW2JEcI3Gz54gpx7y2XrFsCNtLQXUVXhb3bZepWxfbp5LufGAq4
aja41iTA3xmtuY/ILQUpZFGV8I14rV0Gwds9mmEu6QhrHl2ysHKjRpeCsHxPlXys
+I02q3AQ125Ib5kswur/oDvImGskxs7lhcbmVq/iZUydc44A3CCvOdXQLUa20enz
Ik3H2JkzYftb1C8HLbP3/6f8n2eAO1fpVVsToqA/YgwXyJlUOEE9U5pWMvP6lqzm
2PjMBtEkcXMz58E4hp8WM+Jj76Wsatqy5mzAIUxLQjiG/7e0E8X63r94UQG0GcjQ
eTVPXW9e2zkFHSw26Y+SgpgFLSGfPEcwAeNW2GgbBXin3ab4OfMqkgtgYXrsPX42
lojmibp9JjOp5KEkn4cpzH0a8JdsVtzQqLlHDL2XzbCQcaG69fr1PaOF+2CtdV2U
3uBXYW7M2x5DiCU0Cu36zwFPSs1ybOjgBTDZdQrDLaVQ3+WzE3giYRByDoWCcO+L
gjV2jw4n4R1nQNHW0tf8tHXGDTqhK5RXYnTy2P4HsAnp+hYrIsFEKlzoAXxNsEgT
DWreW5bjX9MHxJJtm3LQdCm4NU2jwHtmEE1dOwkv2IFzx0oQ665vlPiie8jDRj2J
mTTY3OB1aaa8yFfvHzeY
=yyHm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Sep 2011 07:34:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:37:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.